AntiFeatures:
  - Tracking
Categories:
  - Sports & Health
License: MPL-2.0
AuthorName: Swiss Admin
AuthorWebSite: https://www.bit.admin.ch
SourceCode: https://github.com/admin-ch/CovidCertificate-App-Android
IssueTracker: https://github.com/admin-ch/CovidCertificate-App-Android/issues
Changelog: https://github.com/admin-ch/CovidCertificate-App-Android/releases

AutoName: Covid Cert

RepoType: git
Repo: https://github.com/admin-ch/CovidCertificate-App-Android
Binaries: https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v%v-%c-wallet/wallet-prod-%v-%c-fdroid-signed.apk

Builds:
  - versionName: 1.2.0
    versionCode: 1200
    commit: v1.2.0-1200-wallet
    subdir: wallet
    submodules: true
    gradle:
      - prod
    rm:
      - sdk/sdk/testKeystore
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbuildTimestamp=%s\n' "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

  - versionName: 2.0.0
    versionCode: 2000
    commit: 5a871eabf1fce16b84e4c7b97c94fd3f2a37e910
    subdir: wallet
    submodules: true
    gradle:
      - prod
    rm:
      - sdk/sdk/testKeystore
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbuildTimestamp=%s\n' "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

  - versionName: 2.1.1
    versionCode: 2110
    disable: https://github.com/admin-ch/CovidCertificate-App-Android/issues/206
    commit: 085cceaf9415b632d2236dd36b7da4e187157050
    subdir: wallet
    submodules: true
    gradle:
      - prod
    rm:
      - sdk/sdk/testKeystore
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbuildTimestamp=%s\n' "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

  - versionName: 2.2.0
    versionCode: 2200
    disable: dose not verify
    commit: c99f0755174d4da4d4d25a6e888b5c760befcec6
    subdir: wallet
    gradle:
      - prod
    rm:
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbuildTimestamp=%s\n' "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

  - versionName: 2.3.0
    versionCode: 2300
    disable: dose not verify
    commit: 840d6b31c4eb85acb082f5dc1f3c6369a9ddaf3a
    subdir: wallet
    gradle:
      - prod
    rm:
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbuildTimestamp=%s\n' "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

  - versionName: 2.4.0
    versionCode: 2400
    disable: dose not verify
    commit: c0b40a9d5f76e6847b4cf0add404a777a3ef8433
    subdir: wallet
    gradle:
      - prod
    rm:
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbuildTimestamp=%s\n' "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

  - versionName: 2.5.0
    versionCode: 2500
    disable: https://github.com/admin-ch/CovidCertificate-App-Android/issues/260
    commit: 1f82fb34892c7bf8fbcc5fdc7760953635a29d3a
    subdir: wallet
    gradle:
      - prod
    rm:
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbuildTimestamp=%s\n' "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

  - versionName: 2.6.0
    versionCode: 2600
    disable: https://github.com/admin-ch/CovidCertificate-App-Android/issues/260
    commit: f82ebb57a0e0a1464e5da1a038d7f470b8f467d9
    subdir: wallet
    gradle:
      - prod
    rm:
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbuildTimestamp=%s\n' "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

  - versionName: 2.6.1
    versionCode: 2610
    disable: dose not verify
    commit: be10120e4581ef8c242ccbb882fec93cb8ef1c47
    subdir: wallet
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - prod
    rm:
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbuildTimestamp=%s\n' "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

  - versionName: 2.7.0
    versionCode: 2701
    commit: ef9c9a71480bc76a5932de3ae05228469ce933af
    subdir: wallet
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - prod
    rm:
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbranch=release/version-$$VERSION$$-fdroid\nbuildTimestamp=%s\n'
        "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet-fdroid/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

  - versionName: 2.8.0
    versionCode: 2800
    commit: e6ff4cd41fb72a0c600acf062999763bf11a95bc
    subdir: wallet
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - prod
    rm:
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbranch=release/version-$$VERSION$$\nminSdkVersion=24\nbuildTimestamp=%s\n'
        "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

  - versionName: 2.9.0
    versionCode: 2900
    commit: b37cae379ec5f5c9a43ee66719a52db0865b0367
    subdir: wallet
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - prod
    rm:
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbranch=release/version-$$VERSION$$\nminSdkVersion=24\nbuildTimestamp=%s\n'
        "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

  - versionName: 2.10.0
    versionCode: 2100000
    commit: 439f309fdc2a69a9ea46e1f71ebd23326b1161d2
    subdir: wallet
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - prod
    rm:
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbranch=release/version-$$VERSION$$\nminSdkVersion=24\nbuildTimestamp=%s\n'
        "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

  - versionName: 3.0.0
    versionCode: 3000000
    commit: d179ccb5317e5d19b57411999bab2bbc5ddba69e
    subdir: wallet
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - prod
    rm:
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbranch=release/version-3.0\nminSdkVersion=24\nbuildTimestamp=%s\n'
        "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

  - versionName: 3.1.0
    versionCode: 3010000
    commit: 091ccec3c63fcb7b71779a4cce5854e4e3899c7b
    subdir: wallet
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - prod
    rm:
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbranch=release/version-$$VERSION$$\nminSdkVersion=24\nbuildTimestamp=%s\n'
        "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

  - versionName: 3.2.0
    versionCode: 3020000
    commit: 16fb09a668cff63659d2e9e48eecf8d84a045e55
    subdir: wallet
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - prod
    rm:
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbranch=release/version-$$VERSION$$\nminSdkVersion=24\nbuildTimestamp=%s\n'
        "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

  - versionName: 3.3.0
    versionCode: 3030000
    commit: 0e1aef89ce1c4ff50ffc80a9be571b8cc5dcc970
    subdir: wallet
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - prod
    rm:
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbranch=release/version-$$VERSION$$\nminSdkVersion=24\nbuildTimestamp=%s\n'
        "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

  - versionName: 3.5.0
    versionCode: 3050000
    commit: 249c5e7024dfbc09a8a86390f888fe7f0f389e58
    subdir: wallet
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - prod
    rm:
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbranch=release/version-$$VERSION$$\nminSdkVersion=24\nbuildTimestamp=%s\n'
        "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

  - versionName: 3.7.0
    versionCode: 3070000
    commit: 6cbf3ba9e25c0562a37463aa6bdef667f37885c4
    subdir: wallet
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - prod
    rm:
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbranch=release/version-$$VERSION$$\nminSdkVersion=24\nbuildTimestamp=%s\n'
        "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

  - versionName: 4.0.0
    versionCode: 4000000
    commit: fdb839a972533526200e1b05fd525654eea2f0ca
    subdir: wallet
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - prod
    rm:
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbranch=release/version-$$VERSION$$\nminSdkVersion=24\nbuildTimestamp=%s\n'
        "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

  - versionName: 4.1.0
    versionCode: 4010000
    commit: 9c08ffbe849284a97a89a80efb296d44f02e1a44
    subdir: wallet
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - prod
    rm:
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbranch=release/version-$$VERSION$$\nminSdkVersion=24\nbuildTimestamp=%s\n'
        "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

  - versionName: 4.3.0
    versionCode: 4030000
    disable: not verified
    commit: 71f97fef225f6738b2993962913f48a9e9c2cc55
    subdir: wallet
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - prod
    rm:
      - wallet/testKeystore
      - verifier/testKeystore
    prebuild: printf '\nbranch=release/version-$$VERSION$$\nminSdkVersion=24\nbuildTimestamp=%s\n'
        "$(curl -sL https://github.com/admin-ch/CovidCertificate-App-Android/releases/download/v$$VERSION$$-$$VERCODE$$-wallet/wallet-prod-$$VERSION$$-$$VERCODE$$-buildtimestamp.txt
        | tr -cd '0-9')" >> gradle.properties

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v[\d.]+-\d+-wallet$
CurrentVersion: 4.3.0
CurrentVersionCode: 4030000
